org.apache.coyote

## Class AbstractProtocol.RecycledProcessors<P extends Processor<S>,S>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractQueue<E>
    - - java.util.concurrent.ConcurrentLinkedQueue<Processor<S>>
      - - org.apache.coyote.AbstractProtocol.RecycledProcessors<P,S>

- All Implemented Interfaces:
    Serializable, Iterable<Processor<S>>, Collection<Processor<S>>, Queue<Processor<S>>
  Enclosing class:
    AbstractProtocol<S>

      protected static class AbstractProtocol.RecycledProcessors<P extends Processor<S>,S>
      extends ConcurrentLinkedQueue<Processor<S>>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AtomicInteger` | `size`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractProtocol.RecycledProcessors(AbstractProtocol.AbstractConnectionHandler<S,P> handler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `offer(Processor<S> processor)`
    `Processor<S>` | `poll()`

    - ### Methods inherited from class java.util.concurrent.ConcurrentLinkedQueue

      `add, addAll, contains, isEmpty, iterator, peek, remove, size, toArray, toArray`

    - ### Methods inherited from class java.util.AbstractQueue

      `element, remove`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, removeAll, retainAll, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Queue

      `element, remove`

    - ### Methods inherited from interface java.util.Collection

      `containsAll, equals, hashCode, removeAll, retainAll`

- - ### Field Detail

    - #### size

          protected AtomicInteger size

  - ### Constructor Detail

    - #### AbstractProtocol.RecycledProcessors

          public AbstractProtocol.RecycledProcessors(AbstractProtocol.AbstractConnectionHandler<S,P> handler)

  - ### Method Detail

    - #### offer

          public boolean offer(Processor<S> processor)

      Specified by:
        `offer` in interface `Queue<Processor<S>>`
      Overrides:
        `offer` in class `ConcurrentLinkedQueue<Processor<S>>`

    - #### poll

          public Processor<S> poll()

      Specified by:
        `poll` in interface `Queue<Processor<S>>`
      Overrides:
        `poll` in class `ConcurrentLinkedQueue<Processor<S>>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Collection<Processor<S>>`
      Overrides:
        `clear` in class `AbstractQueue<Processor<S>>`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.